SINH(3)

NAME
sinh, sinhf, sinhl - hyperbolic sine function

SYNOPSIS
#include <math.h>

double sinh(double x);
float sinhf(float x);
long double sinhl(long double x);

Link with -lm.

DESCRIPTION
The sinh() function returns the hyperbolic sine of x, which is defined mathematically as (exp(x) - exp(-x)) / 2.

CONFORMING TO
SVr4, 4.3BSD, C89. The float and long double variants are C99 requirements.

SEE ALSO
acosh(3), asinh(3), atanh(3), cosh(3), csinh(3), tanh(3)